[![npm version](https://badge.fury.io/js/fireblocks-defi-sdk.svg)](https://badge.fury.io/js/fireblocks-defi-sdk)

# Fireblocks DeFi SDK

Fireblocks DeFi SDK provides an interoperability layer between Fireblocks Smart Contract API and common DeFi libraries.
For more information on Fireblocks Smart Contract API and automating DeFi workflows on Fireblocks [read here](https://support.fireblocks.io/hc/en-us/articles/360017709160-Fireblocks-Smart-Contract-API).
Please email us at support@fireblocks.com if you have questions or comments about this API.

## Installation

```npm install fireblocks-defi-sdk``` or ```yarn add fireblocks-defi-sdk```

## Features
* [Ethers.js bridge](./src/bridge/ethers-bridge.ts)
* [Web3.js bridge](./src/bridge/web3-bridge.ts)

## Code Examples
* [Basic Example](./examples/basic-example)
* [Trading on Uniswap](./examples/uniswap-example)
* [Lending on Aave](./examples/aave-example)

### Tokenization
* [ERC721](./examples/nft-example/erc721.ts)
* [ERC1155](./examples/nft-example/erc1155.ts)
* [CustomToken](./examples/nft-example/custom-token.ts)
