import { BaseToken } from "./base-token";
import { BridgeParams } from "../interfaces/bridge-params";
import { CreateTransactionResponse } from "fireblocks-sdk";
import { ABIStructure } from "../types/abi";
export declare class CustomToken extends BaseToken {
    constructor(bridgeParams: BridgeParams, contractABI: ABIStructure);
    /**
     * Will activate a read function from the provided Contract ABI
     * @param abiFunctionName
     * @param args - arguments for contract call (addresses should be wrapped with Web3.toChecksumAddress(address)
     */
    callReadFunction(abiFunctionName: string, ...args: any[]): Promise<any>;
    /**
     * Will activate a write function from the provided Contract ABI using Fireblocks secure infrastructure
     * @param abiFunctionName
     * @param notes
     * @param args - arguments for contract call (addresses should be wrapped with Web3.toChecksumAddress(address)
     */
    callWriteFunction(abiFunctionName: string, notes: string, ...args: any[]): Promise<CreateTransactionResponse>;
}
