import { BaseToken } from "./base-token";
import { BridgeParams } from "../interfaces/bridge-params";
import { CreateTransactionResponse } from "fireblocks-sdk";
import { BigNumber } from "ethers";
export declare class ERC721 extends BaseToken {
    constructor(bridgeParams: BridgeParams);
    /** Payable **/
    /**
     *
     * @param toAddress
     * @param tokenId
     * @param note
     */
    approve(toAddress: string, tokenId: number, note?: string): Promise<CreateTransactionResponse>;
    /**
     *
     * @param fromAddress
     * @param toAddress
     * @param tokenId
     * @param data
     * @param note
     */
    safeTransferFrom(toAddress: string, tokenId: number, data?: string, note?: string, fromAddress?: string): Promise<CreateTransactionResponse>;
    /**
     *
     * @param fromAddress
     * @param toAddress
     * @param tokenId
     * @param note
     */
    transferFrom(toAddress: string, tokenId: number, note?: string, fromAddress?: string): Promise<CreateTransactionResponse>;
    /**
     *
     * @param operatorAddress
     * @param isApproved
     * @param note
     */
    setApprovalForAll(operatorAddress: string, isApproved: boolean, note?: string): Promise<CreateTransactionResponse>;
    /** Views **/
    /**
     *
     * @param interfaceId
     */
    supportsInterface(interfaceId?: string): Promise<boolean>;
    /**
     *
     * @param tokenId
     */
    getApproved(tokenId: number): Promise<string>;
    /**
     *
     * @param ownerAddress
     * @param operatorAddress
     */
    isApprovedForAll(ownerAddress: string, operatorAddress: string): Promise<boolean>;
    /**
     *
     * @param ownerAddress
     */
    balanceOf(ownerAddress?: string): Promise<BigNumber>;
    /**
     *
     * @param tokenId
     */
    ownerOf(tokenId: number): Promise<string>;
}
