"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Utils = void 0;
const node_fetch_1 = __importDefault(require("node-fetch"));
class Utils {
    static async fetchABI(contractAddress) {
        try {
            const res = await node_fetch_1.default(`https://api.etherscan.io/api?module=contract&action=getabi&address=${contractAddress}`);
            if (res.status !== 200) {
                throw new Error();
            }
            const contentBlob = await res.blob();
            const abiString = JSON.parse(await contentBlob.text());
            return JSON.parse(abiString.result);
        }
        catch (e) {
            throw new Error('Cant fetch or decode ABI');
        }
    }
}
exports.Utils = Utils;
