"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs = __importStar(require("fs"));
const fireblocks_defi_sdk_1 = require("fireblocks-defi-sdk");
const CHAIN = fireblocks_defi_sdk_1.Chain.KOVAN;
const CONTRACT_ADDRESS = "";
const FIREBLOCKS_API_SECRET_PATH = '../../../fireblocks.key';
const FIREBLOCKS_API_KEY_PATH = '../../api-client-key.txt';
/**
 * Following example describes how to crate a ERC721 token connection, and
 * perform read and write actions using Fireblocks infrastructure.
 */
(async function () {
    /** Fireblocks Initialization **/
    // Read file containing you Fireblocks Api Seacret Key
    const apiSecret = fs.readFileSync(FIREBLOCKS_API_SECRET_PATH, "utf8");
    // Read file containing you Fireblocks Api Key
    const apiKey = fs.readFileSync(FIREBLOCKS_API_KEY_PATH, "utf8");
    // Initialize Fireblocks SDK
    const fireblocksApiClient = new fireblocks_defi_sdk_1.FireblocksSDK(apiSecret, apiKey, process.env.FIREBLOCKS_API_BASE_URL);
    // Build Bridge parameters to you Fireblocks account.
    const bridgeParams = {
        fireblocksApiClient,
        vaultAccountId: process.env.FIREBLOCKS_SOURCE_VAULT_ACCOUNT || "0",
        contractAddress: CONTRACT_ADDRESS,
        chain: CHAIN
    };
    // Initialize ERC721 Token with Fireblocks Bridge parameters
    const erc1155 = new fireblocks_defi_sdk_1.ERC1155(bridgeParams);
    const RECEIVER_ADDRESS = '';
    const TOKEN_ID = 1;
    /** Read/Write Examples **/
    // Perform a read balanceOf action
    const balance = await erc1155.balanceOf(TOKEN_ID);
    console.log('balanceOf response', balance);
    // Perform write setApprovalForAll action
    const setApprovalForAllResult = await erc1155.setApprovalForAll(RECEIVER_ADDRESS, true);
    console.log('setApprovalForAll response', setApprovalForAllResult);
}()).catch(err => {
    console.log("error", err);
    process.exit(1);
});
