"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fireblocks_sdk_1 = require("fireblocks-sdk");
const fireblocks_defi_sdk_1 = require("fireblocks-defi-sdk");
const fs = require("fs");
const CHAIN = fireblocks_defi_sdk_1.Chain.ROPSTEN;
const CONTRACT_ADDRESS = "0xcbe74e21b070a979b9d6426b11e876d4cb618daf";
const CONTRACT_ABI = [{
        "constant": false,
        "inputs": [{ "name": "_greeting", "type": "string" }],
        "name": "greet",
        "outputs": [],
        "payable": false,
        "stateMutability": "nonpayable",
        "type": "function"
    }, {
        "constant": true,
        "inputs": [],
        "name": "getGreeting",
        "outputs": [{ "name": "", "type": "string" }],
        "payable": false,
        "stateMutability": "view",
        "type": "function"
    }];
const GREETING = "Hello";
(async function () {
    const apiSecret = fs.readFileSync(process.env.FIREBLOCKS_API_SECRET_PATH, "utf8");
    const fireblocksApiClient = new fireblocks_sdk_1.FireblocksSDK(apiSecret, process.env.FIREBLOCKS_API_KEY, process.env.FIREBLOCKS_API_BASE_URL);
    const bridgeParams = {
        fireblocksApiClient,
        vaultAccountId: process.env.FIREBLOCKS_SOURCE_VAULT_ACCOUNT || "0",
        externalWalletId: CONTRACT_ADDRESS,
        chain: CHAIN
    };
}()).catch(err => {
    console.log("error", err);
    process.exit(1);
});
