import { BridgeParams } from "../interfaces/bridge-params";
import { Web3Bridge } from "../bridge/web3-bridge";
import { CreateTransactionResponse } from "fireblocks-sdk";
export declare class BaseToken {
    private _allFunctions;
    private readonly bridgeParams;
    private readonly contract;
    web3Bridge: Web3Bridge;
    contractABI: string;
    constructor(bridgeParams: BridgeParams, contractABI: any);
    /**
     * Use this to build a transaction which will then be sent to fireblocks to get signed.
     * @param abiName - abi function name
     * @param args - function params
     */
    buildTransaction(abiName: string, ...args: any[]): any;
    /**
     * Use this to execute a function that needs no signing, e.g. supportsInterface. Basically a "read" function
     * @param abiName
     * @param args
     */
    callView(abiName: string, ...args: any[]): any;
    /**
     * Submit transaction using defi SDK
     * @param transactionData
     * @param notes - (Optional) Add a note to the transaction
     */
    submitTransaction(transactionData: any, notes?: string): Promise<CreateTransactionResponse>;
}
