import { BaseToken } from "./base-token";
import { BridgeParams } from "../interfaces/bridge-params";
import { CreateTransactionResponse } from "fireblocks-sdk";
export declare class ERC721 extends BaseToken {
    constructor(bridgeParams: BridgeParams);
    /** Payable **/
    /**
     *
     * @param toAddress
     * @param tokenId
     * @param note
     */
    approve(toAddress: string, tokenId: number, note?: string): Promise<CreateTransactionResponse>;
    /**
     *
     * @param fromAddress
     * @param toAddress
     * @param tokenId
     * @param data
     * @param note
     */
    safeTransferFrom(fromAddress: string, toAddress: string, tokenId: number, data?: string, note?: string): Promise<CreateTransactionResponse>;
    /**
     *
     * @param fromAddress
     * @param toAddress
     * @param tokenId
     * @param note
     */
    transfer_from(fromAddress: string, toAddress: string, tokenId: number, note?: string): Promise<CreateTransactionResponse>;
    /**
     *
     * @param operatorAddress
     * @param isApproved
     * @param note
     */
    set_approval_for_all(operatorAddress: string, isApproved: boolean, note?: string): Promise<CreateTransactionResponse>;
    /** Views **/
    /**
     *
     * @param interfaceId
     */
    supportsInterface(interfaceId?: string): boolean;
    /**
     *
     * @param tokenId
     */
    getApproved(tokenId: number): boolean;
    /**
     *
     * @param ownerAddress
     * @param operatorAddress
     */
    isApprovedForAll(ownerAddress: string, operatorAddress: string): boolean;
    /**
     *
     * @param ownerAddress
     */
    balanceOf(ownerAddress: string): number;
    /**
     *
     * @param tokenId
     */
    ownerOf(tokenId: number): string;
}
